import 'package:flutter/material.dart';
import 'package:syncfusion_flutter_charts/charts.dart';
import 'package:syncfusion_flutter_core/core.dart';

void main() {
  // Register your license here
  SyncfusionLicense.registerLicense(null);
  return runApp(ChartApp());
}

class ChartApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Chart Demo',
      theme: ThemeData(
        primarySwatch: Colors.blue,
      ),
      home: MyHomePage(),
    );
  }
}

class MyHomePage extends StatefulWidget {
  MyHomePage({Key key}) : super(key: key);

  @override
  _MyHomePageState createState() => _MyHomePageState();
}

class _MyHomePageState extends State<MyHomePage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
        appBar: AppBar(
          title: const Text('Syncfusion Flutter chart'),
        ),
        body: Center(
          child: Container(
            width: 350,
            child: SfCartesianChart(
                title: ChartTitle(text: 'Half yearly sales analysis'),
                primaryXAxis: NumericAxis(
                    //Hide the gridlines of x-axis
                    majorGridLines: MajorGridLines(width: 0),
                    //Hide the axis line of x-axis
                    axisLine: AxisLine(width: 0),
                    minimum: 2009,
                    maximum: 2015),
                primaryYAxis: NumericAxis(
                    //Hide the gridlines of y-axis
                    majorGridLines: MajorGridLines(width: 0),
                    //Hide the axis line of y-axis
                    axisLine: AxisLine(width: 0)),
                series: <ChartSeries<SalesData, double>>[
                  ColumnSeries<SalesData, double>(
                      dataSource: <SalesData>[
                        SalesData(2010, 35),
                        SalesData(2011, 28),
                        SalesData(2012, 34),
                        SalesData(2013, 32),
                        SalesData(2014, 40)
                      ],
                      xValueMapper: (SalesData sales, _) => sales.year,
                      yValueMapper: (SalesData sales, _) => sales.sales)
                ]),
          ),
        ));
  }
}

class SalesData {
  SalesData(this.year, this.sales);

  final double year;
  final double sales;
}
